function onBegin()
  makeUnskippable()
  disableRetry()
  --disableMovement()
  while (player.Speed.Y < 0) do -- Waits till maddy stops moving up
    player.Dashes = 0
    celeste.Input.MoveY.Value = 0
    celeste.Input.MoveX.Value = 0
    wait()
  end
  --waitUntilOnGround()
  enableRetry()
  --enableMovement()
  endCutscene()
end